/* escher.sas */

/*
 Disclaimer: No guarantee as to suitability or accuracy is
 given or implied. User uses this code entirely at their own risk.
*/

data escher;
  input group $ Level count;
cards;1
A 1 41
A 7 41
A 8 41
A 9 41
B 2 41
B 3 41
B 10 41
B 11 41
C 4 41
C 5 41
C 6 41
C 12 41
D 1 41
D 7 41
D 8 41
D 9 41
;
run;

options label nodate nonumber;

%inc'm:\sas\macros\grid.sas';
%gdelete;
title;
ods graphics off;
ods listing;
proc univariate data=escher;
  class group;
  var Level;
  histogram Level / midpoints=(1 to 12 by 1) vscale=count barlabel=count inheight=4 height=4;
  freq count;
  ods exclude moments basicmeasures testsforlocation quantiles extremeobs missingvalues;
  where group='A' or group='B';
  title1 justify=left h=2 '5.1  A versus B';
*  title1 '5.1:  Median A = 7.5, Median B = 6.5,';
*  title2 h=2 'but MeanRank A = 144, MeanRank B = 185,';
*  title3 h=2 'and Pr(Xa < Xb) = 0.625 (p<0.001)';
run;
proc univariate data=escher;
  class group;
  var Level;
  histogram Level / midpoints=(1 to 12 by 1) vscale=count barlabel=count inheight=4 height=4 cfill=vligb;
  freq count;
  ods exclude moments basicmeasures testsforlocation quantiles extremeobs missingvalues;
  where group='B' or group='C';
  title1 justify=left h=2 '5.2  B versus C';
*  title1 '5.2:  Median B = 6.5, Median C = 5.5,';
*  title2 h=2 'but MeanRank B = 144, MeanRank C = 185,';
*  title3 h=2 'and Pr(Xb < Xc) = 0.625 (p<0.001)';
run;
proc univariate data=escher;
  class group;
  var Level;
  histogram Level / midpoints=(1 to 12 by 1) vscale=count barlabel=count inheight=4 height=4;
  freq count;
  ods exclude moments basicmeasures testsforlocation quantiles extremeobs missingvalues;
  where group='C' or group='D';
  title1 justify=left h=2 '5.3  C versus D';
*  title2 h=2 'but MeanRank C = 154.25, MeanRank D = 174.25,';
*  title3 h=2 'and Pr(Xc < Xd) = 0.5625 (p<0.049)';
run;
title1 '';

/* Note: the grid macro(s) was found at: https://github.com/friendly/SAS-macros/blob/master/grid.sas */

options orientation=portrait ;
*title1 justify=left 'Figure 5  A global inconsistency';
%gtitle;
title;
*ods pdf file='M:\gdivine1\sasdirs\tech\Wilcoxon_paper3\Version5 Stuff\DRAFT_figures\Figure5.pdf';
ods pdf file='Figure5.pdf';
%grid(univar univar1 univar2,rows=3,cols=1);
ods pdf close;
