/* histograms.sas */

options label nodate nonumber;

/*
 Disclaimer: No guarantee as to suitability or accuracy is
 given or implied. User uses this code entirely at their own risk.
*/

/* Note: The program makedata.sas should be run first to create the datasets used */

/* Create the macro to show the distributions for the two groups being compared */
%macro histogram(Figname=Figure.pdf,dset=work.temp,grpvar=group,outvar=y,
midpoints=,inheight=4,height=4,titl1=Histograms of Distributions Being Compared);
*ods pdf file="M:\gdivine1\sasdirs\tech\Wilcoxon_paper3\Version5 Stuff\draft_figures\&figname";
ods pdf file="&figname";
proc univariate data=&dset;
  class &grpvar;
  var &outvar;
  ods exclude moments basicmeasures testsforlocation quantiles extremeobs missingvalues;
  histogram &outvar / interbar=0.5 barlabel=count 
                     midpoints = &midpoints inheight=&inheight height=&height vscale=count;
*  title1 justify=left h=2 "&titl1";
run;
quit;
ods pdf close;
title ;
%mend histogram;

%histogram(figname=Figure1.pdf,dset=ed_visits2,grpvar=stgroup,outvar=er12_fu,
midpoints=0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20,
inheight=3 ,height=3,
titl1=Figure 1 Emergency department visits in 12 months for the Puff City study);

%histogram(figname=Figure2.pdf,dset=aroma3,grpvar=group,outvar=change,
midpoints = -3 -2 -1 0 1,
inheight=3 ,height=3, titl1=Figure 2 Changes in Post Operative Nausea After Aromatherapy );

%histogram(figname=Figure3.pdf,dset=example,grpvar=example3,outvar=value,
midpoints = 1 to 21 by 1 ,
inheight=3 ,height=3,titl1=%str(Figure 3 No difference by WMW test, but very different medians) );

%histogram(figname=Figure4.pdf,dset=example,grpvar=example4,outvar=value,
midpoints = 1 to 21 by 1 ,
inheight=3 ,height=3,titl1=%str(Figure 4 A difference by WMW test, and very different medians.  But in the wrong direction!));

%histogram(figname=Figure5_1.pdf,dset=escher_AB,grpvar=group,outvar=level,
midpoints = 1 to 12 by 1 ,
inheight=4 ,height=4,titl1=%str(Figure 5.1 M.C.E. and Chase M. Itail A vs B Result));

%histogram(figname=Figure5_2.pdf,dset=escher_BC,grpvar=group,outvar=level,
midpoints = 1 to 12 by 1 ,
inheight=4 ,height=4,titl1=%str(Figure 5.2 M.C.E. and Chase M. Itail B vs C Result));

%histogram(figname=Figure5_3.pdf,dset=escher_CD,grpvar=group,outvar=level,
midpoints = 1 to 12 by 1 ,
inheight=4 ,height=4,titl1=%str(Figure 5.3 M.C.E. and Chase M. Itail C vs "D" Result));

%histogram(figname=acuity.pdf,dset=acuity2,grpvar=rp_dom,outvar=acuity,
midpoints = 20 to 80 by 5 ,
inheight=4 ,height=4,titl1=%str(Visual Acuity Example From "Fundamentals of Biostatistics" textbook));

%histogram(figname=toy.pdf,dset=toy,grpvar=grp,outvar=y,
midpoints = 1 to 3 by 1 ,
inheight=4 ,height=4,titl1=Toy Example Distributions);
