/* ROCAUC.sas */

/*
 Disclaimer: No guarantee as to suitability or accuracy is
 given or implied. User uses this code entirely at their own risk.
*/

/* Turn of date and page numbers to give clean pdf figures */
options label nodate nonumber;

title;

%macro rocauc(figname,dset,outvar,grpvar,grp1val,grp2val,grp1name,grp2name,title);
ods graphics on;
ods listing close;
proc logistic data=&dset;
  model &grpvar = &outvar;
  score outroc=outlog;
*  title "title";
run;
data zero;
  _sensit_=0.0;
  _1mspec_=0.0;
run;
data outlog2;
  set zero outlog;
run;
ods listing;
*ods pdf file="M:\gdivine1\sasdirs\tech\Wilcoxon_paper3\Version4 Stuff\final_figures\&figname..pdf";
ods pdf file="&figname..pdf";
proc sgplot data=outlog2 noautolegend aspect=1;
  xaxis values=(0 to 1 by 0.25) grid offsetmin=.05 offsetmax=.05; 
  yaxis values=(0 to 1 by 0.25) grid offsetmin=.05 offsetmax=.05;
  lineparm x=0 y=0 slope=1 / transparency=.7;
  series x=_1mspec_ y=_sensit_ ;
*  title "&title";
run;
ods pdf close;
%mend rocauc;

*ods listing sge=on;
/*
%ROCAUC(figname=ed_ROC,dset=ed_visits2,grpvar=stgroup,outvar=er12_fu,
grp1val=0,grp2val=1,
grp1name=Control,grp2name=Intervention,title=ED Visit Example ROC Curve);
%ROCAUC(figname=Aroma_ROC,dset=aroma3,grpvar=group,outvar=change,
grp1val=1,grp2val=3,
grp1name=Alcohol,grp2name=Blend,title=Aroma Therapy Example ROC Curve);
%ROCAUC(figname=ed_ROC,dset=example3,grpvar=example3,outvar=value,
grp1val=1,grp2val=2,
grp1name=Group 1,grp2name=Group 2,title=Counter-example 3);
%ROCAUC(figname=Example ROC Curve3_ROC,dset=example4,grpvar=example4,outvar=value,
grp1val=1,grp2val=2,
grp1name=Group 1,grp2name=Group 2,title=Counter-example 4);
%ROCAUC(figname=Example ROC Curve4_ROC,dset=escher_AB,grpvar=group,outvar=level,
grp1val=1,grp2val=2,
grp1name=Group A,grp2name=Group B,title=Counter-example 5.1);
%ROCAUC(figname=MCE_5_1_ROC,dset=escher_BC,grpvar=group,outvar=level,
grp1val=1,grp2val=2,
grp1name=Group B,grp2name=Group C,title=Counter-example 5.2);
%ROCAUC(figname=MCE_5_2_ROC,dset=escher_CD,grpvar=group,outvar=level,
grp1val=1,grp2val=2,
grp1name=Group B,grp2name=Group C,title=Counter-example 5.3);
%ROCAUC(figname=MCE_5_3_ROC,dset=acuity2,grpvar=rp_dom,outvar=acuity2,
grp1val=0,grp2val=1,
grp1name=Sex-Linked,grp2name=Dominant,title=Visual Acuity Example ROC Curve);
*/
%ROCAUC(figname=Figure_7,dset=toy,grpvar=grp,outvar=y,
grp1val=1,grp2val=2,
grp1name=Group 1,grp2name=Group 2,title=%str(Figure 7 ROC Curve Area Representing Pr(X<Y) + Pr(X=Y)/2 for Toy Example));

/* Turn date and page numbering back on */
options label date number;


